com.rscja.team.qcom.custom

## Class RFIDWithUHFUARTUAE_qcom

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom
    - - com.rscja.team.qcom.custom.RFIDWithUHFUARTUAE_qcom

- All Implemented Interfaces:
    IRFIDWithUHFUARTUAE, IHandheldRFID, ISingleAntenna, IUHF, IUHFOfAndroidUart

      public class RFIDWithUHFUARTUAE_qcom
      extends RFIDWithUHFUART_qcom
      implements IRFIDWithUHFUARTUAE

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` 关闭UHF模块 Switch off UHF module
    `static RFIDWithUHFUARTUAE_qcom` | `getInstance()`
    `UHFTAGInfo` | `inventorySingleTag()` 该函数单步识别标签 this formula identify tag in single step
    `UHFTAGInfo` | `ParseEPCAndTamperAlarm(char[] uhfdata)`
    `UHFTAGInfo` | `readTagEPCAndTamperAlarm(boolean single)`
    `UHFTAGInfo` | `readTagFromBuffer()` 同时获取EPC和Tamper Alarm数值 read return tag info.
    `boolean` | `setEPCAndTamperAlarm()`
    `boolean` | `setEPCAndTamperAlarmMode()`
    `boolean` | `setEPCMode()` 设置读取 EPC模式设置

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getEPCAndTIDUserModeEx, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getLBTMode, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCAndTIDUserModeEx, setEPCAndUserReservedModeEx, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setGen2, setInventoryCallback, setLBTMode, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startInventoryTag, startLocation, startRadarLocation, stopInventory, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, UHFVerifyVoltage, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### getInstance

          public static RFIDWithUHFUARTUAE_qcom getInstance()
                                                     throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### setEPCAndTamperAlarmMode

          public boolean setEPCAndTamperAlarmMode()

      Specified by:
        `setEPCAndTamperAlarmMode` in interface `IRFIDWithUHFUARTUAE`

    - #### setEPCMode

          public boolean setEPCMode()

      设置读取 EPC模式设置
      Specified by:
        `setEPCMode` in interface `IRFIDWithUHFUARTUAE`
      Specified by:
        `setEPCMode` in interface `IUHF`
      Overrides:
        `setEPCMode` in class `RFIDWithUHFUART_qcom`
      Returns:
        true设置成功，false设置失败
        true means setup success, false means setup failed

    - #### free

          public boolean free()

      关闭UHF模块
      Switch off UHF module
      Specified by:
        `free` in interface `IRFIDWithUHFUARTUAE`
      Specified by:
        `free` in interface `IUHF`
      Overrides:
        `free` in class `RFIDWithUHFUART_qcom`
      Returns:
        true成功，false失败
        true success, false failed

    - #### readTagFromBuffer

          public UHFTAGInfo readTagFromBuffer()

      同时获取EPC和Tamper Alarm数值
      read return tag info.
      Specified by:
        `readTagFromBuffer` in interface `IRFIDWithUHFUARTUAE`
      Specified by:
        `readTagFromBuffer` in interface `IUHF`
      Overrides:
        `readTagFromBuffer` in class `RFIDWithUHFUART_qcom`
      Returns:

    - #### inventorySingleTag

          public UHFTAGInfo inventorySingleTag()

      该函数单步识别标签 this formula identify tag in single step
      Specified by:
        `inventorySingleTag` in interface `IRFIDWithUHFUARTUAE`
      Specified by:
        `inventorySingleTag` in interface `IUHF`
      Overrides:
        `inventorySingleTag` in class `RFIDWithUHFUART_qcom`
      Returns:

    - #### setEPCAndTamperAlarm

          public boolean setEPCAndTamperAlarm()

      Specified by:
        `setEPCAndTamperAlarm` in interface `IRFIDWithUHFUARTUAE`

    - #### readTagEPCAndTamperAlarm

          public UHFTAGInfo readTagEPCAndTamperAlarm(boolean single)

      Specified by:
        `readTagEPCAndTamperAlarm` in interface `IRFIDWithUHFUARTUAE`

    - #### ParseEPCAndTamperAlarm

          public UHFTAGInfo ParseEPCAndTamperAlarm(char[] uhfdata)

      Specified by:
        `ParseEPCAndTamperAlarm` in interface `IRFIDWithUHFUARTUAE`